Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### noiseSeed()
Examples |
    float xoff = 0.0;

    void setup() {
      noiseSeed(0);
      stroke(0, 10);
    }

    void draw()
    {
      xoff = xoff + .01;
      float n = noise(xoff) * width;
      line(n, 0, n, height);
    }
Description | Sets the seed value for noise(). By default, noise() produces different results each time the program is run. Set the value parameter to a constant to return the same pseudo-random numbers each time the software is run.
Syntax |
    noiseSeed(x)
Parameters |
value | int
Returns | float
Usage | Web & Application
Related | noise() noiseDetail() random() randomSeed()

Updated on August 30, 2010 04:29:39pm EDT